syntax on
filetype plugin indent on

set smartindent
set tabstop=2
set shiftwidth=2
set expandtab

" disable auto comment
autocmd FileType * setlocal formatoptions-=c formatoptions-=r formatoptions-=o

" Tell vim to remember certain things when we exit
"  '10  :  marks will be remembered for up to 10 previously edited files
"  "100 :  will save up to 100 lines for each register
"  :20  :  up to 20 lines of command-line history will be remembered
"  %    :  saves and restores the buffer list
"  n... :  where to save the viminfo files
set viminfo='10,\"100,:20,%,n~/.viminfo

function! ResCur()
  let do_it = "YES"
  if @% =~ "COMMIT_EDITMSG"
    let do_it = "NO"
  elseif @% =~ "MERGE_MSG"
    let do_it = "NO"
  endif
  if do_it == "YES"
    if line("'\"") <= line("$")
      normal! g`"
      return 1
    endif
  endif
endfunction

augroup resCur
  autocmd!
  autocmd BufWinEnter * call ResCur()
augroup END
